Page MenuHomePhabricator

version 2.7.239-alpha-2018-09-20 crashes
Closed, ResolvedPublic1 Story PointsBUG REPORT

Description

Steps to reproduce

  1. open מסע אלונקות on he.wiki
  2. try to edit
  3. get a crash

Expected results

edit, not crash

Actual results

crash

Stack trace

09-23 02:54:16.679  1157  1676 I ActivityManager: START u0 {cmp=org.wikipedia.alpha/org.wikipedia.page.tabs.TabActivity} from uid 10158
09-23 02:54:16.699 20900 21259 D org.wikipedia.settings.RemoteConfigRefreshTask: Skipping recurring task, remote-config-refresher. Last execution was Sat Sep 22 20:24:12 GMT+03:00 2018.
09-23 02:54:16.699 20900 21259 D org.wikipedia.page.shareafact.SharedImageCleanupTask: Skipping recurring task, shared-image-cleanup. Last execution was Sat Sep 22 20:24:12 GMT+03:00 2018.
09-23 02:54:16.699 20900 21259 D org.wikipedia.recurring.DailyEventTask: Skipping recurring task, dailyEventTask. Last execution was Sat Sep 22 20:24:12 GMT+03:00 2018.
09-23 02:54:16.699 20900 21259 D org.wikipedia.alphaupdater.AlphaUpdateChecker: Skipping recurring task, alpha-update-checker. Last execution was Sat Sep 22 20:24:13 GMT+03:00 2018.
09-23 02:54:19.014 20900 20900 D org.wikipedia.page.tabs.TabActivity$TabListener: onSelectionChanged():242: Tab selected: 0
09-23 02:54:19.041 20900 20900 D org.wikipedia.page.PageFragmentLoadState: loadFromBackStack():172: Loaded page מסע אלונקות from backstack
09-23 02:54:19.223 20900 20900 E wikipedia.alph: No package ID ff found for ID 0xffffffff.
09-23 02:54:19.224 20900 20900 E wikipedia.alph: No package ID ff found for ID 0xffffffff.
09-23 02:54:19.549 20900 20900 D org.wikipedia.page.PageFragmentLoadState: sendLeadSectionPayload():426: Sent message 'displayLeadSection' for page: מסע אלונקות
09-23 02:54:19.581 20900 21282 D org.wikipedia.views.FacePostprocessor: detectFace():80: Face detection took 14ms
09-23 02:54:23.858  1157  2611 I ActivityManager: START u0 {act=org.wikipedia.edit_section cmp=org.wikipedia.alpha/org.wikipedia.edit.EditSectionActivity (has extras)} from uid 10158
09-23 02:54:23.860   760   760 D android.hardware.power@1.2-service.wahoo-libperfmgr: LAUNCH ON
09-23 02:54:23.887 20900 20900 W ActivityThread: handleWindowVisibility: no activity for token android.os.BinderProxy@b8ad52b
09-23 02:54:23.897 20900 21259 D org.wikipedia.settings.RemoteConfigRefreshTask: Skipping recurring task, remote-config-refresher. Last execution was Sat Sep 22 20:24:12 GMT+03:00 2018.
09-23 02:54:23.897 20900 21259 D org.wikipedia.page.shareafact.SharedImageCleanupTask: Skipping recurring task, shared-image-cleanup. Last execution was Sat Sep 22 20:24:12 GMT+03:00 2018.
09-23 02:54:23.898 20900 21259 D org.wikipedia.recurring.DailyEventTask: Skipping recurring task, dailyEventTask. Last execution was Sat Sep 22 20:24:12 GMT+03:00 2018.
09-23 02:54:23.898 20900 21259 D org.wikipedia.alphaupdater.AlphaUpdateChecker: Skipping recurring task, alpha-update-checker. Last execution was Sat Sep 22 20:24:13 GMT+03:00 2018.
09-23 02:54:23.923 20900 20900 I TextInputLayout: EditText added is not a TextInputEditText. Please switch to using that class instead.
09-23 02:54:23.978  1157  1211 I ActivityManager: Displayed org.wikipedia.alpha/org.wikipedia.edit.EditSectionActivity: +95ms
09-23 02:54:24.056   760   760 D android.hardware.power@1.2-service.wahoo-libperfmgr: LAUNCH OFF
09-23 02:54:24.747 20900 20900 D org.wikipedia.edit.richtext.SyntaxHighlighter$1: lambda$run$0$SyntaxHighlighter$1():72: That took 1ms
09-23 02:54:26.552 20900 20900 E InputEventReceiver: Exception dispatching input event.
09-23 02:54:26.552 20900 20900 E MessageQueue-JNI: Exception in MessageQueue callback: handleReceiveCallback
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: java.lang.ArrayIndexOutOfBoundsException: length=18; index=18
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.text.Layout$HorizontalMeasurementProvider.get(Layout.java:1589)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.text.Layout.getOffsetForHorizontal(Layout.java:1544)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.text.Layout.getOffsetForHorizontal(Layout.java:1454)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.widget.TextView.getOffsetAtCoordinate(TextView.java:11847)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.widget.TextView.getOffsetForPosition(TextView.java:11817)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.widget.Editor$SelectionModifierCursorController.onTouchEvent(Editor.java:5829)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.widget.Editor.onTouchEvent(Editor.java:1475)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.widget.TextView.onTouchEvent(TextView.java:10056)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.View.dispatchTouchEvent(View.java:12513)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3030)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2662)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3030)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2662)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3030)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2662)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3030)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2662)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3030)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2662)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3030)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2662)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3030)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2662)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at com.android.internal.policy.DecorView.superDispatchTouchEvent(DecorView.java:440)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at com.android.internal.policy.PhoneWindow.superDispatchTouchEvent(PhoneWindow.java:1830)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.app.Activity.dispatchTouchEvent(Activity.java:3400)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.support.v7.view.WindowCallbackWrapper.dispatchTouchEvent(WindowCallbackWrapper.java:68)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at com.android.internal.policy.DecorView.dispatchTouchEvent(DecorView.java:398)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.View.dispatchPointerEvent(View.java:12752)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl$ViewPostImeInputStage.processPointerEvent(ViewRootImpl.java:5107)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl$ViewPostImeInputStage.onProcess(ViewRootImpl.java:4910)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:4427)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:4480)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:4446)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:4586)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:4454)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:4643)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:4427)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:4480)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:4446)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:4454)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:4427)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl.deliverInputEvent(ViewRootImpl.java:7093)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl.doProcessInputEvents(ViewRootImpl.java:7062)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl.enqueueInputEvent(ViewRootImpl.java:7023)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.ViewRootImpl$WindowInputEventReceiver.onInputEvent(ViewRootImpl.java:7196)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.view.InputEventReceiver.dispatchInputEvent(InputEventReceiver.java:186)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.os.MessageQueue.nativePollOnce(Native Method)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.os.MessageQueue.next(MessageQueue.java:326)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.os.Looper.loop(Looper.java:160)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at android.app.ActivityThread.main(ActivityThread.java:6669)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at java.lang.reflect.Method.invoke(Native Method)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:493)
09-23 02:54:26.553 20900 20900 E MessageQueue-JNI: 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:858)
09-23 02:54:26.553 20900 20900 D AndroidRuntime: Shutting down VM
09-23 02:54:26.554 20900 20900 E AndroidRuntime: FATAL EXCEPTION: main
09-23 02:54:26.554 20900 20900 E AndroidRuntime: Process: org.wikipedia.alpha, PID: 20900
09-23 02:54:26.554 20900 20900 E AndroidRuntime: java.lang.ArrayIndexOutOfBoundsException: length=18; index=18
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.text.Layout$HorizontalMeasurementProvider.get(Layout.java:1589)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.text.Layout.getOffsetForHorizontal(Layout.java:1544)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.text.Layout.getOffsetForHorizontal(Layout.java:1454)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.widget.TextView.getOffsetAtCoordinate(TextView.java:11847)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.widget.TextView.getOffsetForPosition(TextView.java:11817)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.widget.Editor$SelectionModifierCursorController.onTouchEvent(Editor.java:5829)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.widget.Editor.onTouchEvent(Editor.java:1475)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.widget.TextView.onTouchEvent(TextView.java:10056)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.View.dispatchTouchEvent(View.java:12513)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3030)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2662)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3030)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2662)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3030)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2662)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3030)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2662)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3030)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2662)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3030)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2662)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3030)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2662)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at com.android.internal.policy.DecorView.superDispatchTouchEvent(DecorView.java:440)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at com.android.internal.policy.PhoneWindow.superDispatchTouchEvent(PhoneWindow.java:1830)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.app.Activity.dispatchTouchEvent(Activity.java:3400)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.support.v7.view.WindowCallbackWrapper.dispatchTouchEvent(WindowCallbackWrapper.java:68)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at com.android.internal.policy.DecorView.dispatchTouchEvent(DecorView.java:398)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.View.dispatchPointerEvent(View.java:12752)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl$ViewPostImeInputStage.processPointerEvent(ViewRootImpl.java:5107)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl$ViewPostImeInputStage.onProcess(ViewRootImpl.java:4910)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:4427)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:4480)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:4446)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:4586)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:4454)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:4643)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:4427)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:4480)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:4446)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:4454)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:4427)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl.deliverInputEvent(ViewRootImpl.java:7093)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl.doProcessInputEvents(ViewRootImpl.java:7062)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl.enqueueInputEvent(ViewRootImpl.java:7023)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.ViewRootImpl$WindowInputEventReceiver.onInputEvent(ViewRootImpl.java:7196)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.view.InputEventReceiver.dispatchInputEvent(InputEventReceiver.java:186)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.os.MessageQueue.nativePollOnce(Native Method)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.os.MessageQueue.next(MessageQueue.java:326)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.os.Looper.loop(Looper.java:160)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at android.app.ActivityThread.main(ActivityThread.java:6669)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at java.lang.reflect.Method.invoke(Native Method)
09-23 02:54:26.554 20900 20900 E AndroidRuntime: 	at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:493)
09-23 02:54:26.555 20900 20900 E AndroidRuntime: 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:858)
09-23 02:54:26.560  1157  2611 W ActivityManager:   Force finishing activity org.wikipedia.alpha/org.wikipedia.edit.EditSectionActivity
09-23 02:54:26.567 20900 20900 I Process : Sending signal. PID: 20900 SIG: 9
09-23 02:54:26.595  1157  1316 W InputDispatcher: channel 'e702853 org.wikipedia.alpha/org.wikipedia.edit.EditSectionActivity (server)' ~ Consumer closed input channel or an error occurred.  events=0xd
09-23 02:54:26.596  1157  1316 E InputDispatcher: channel 'e702853 org.wikipedia.alpha/org.wikipedia.edit.EditSectionActivity (server)' ~ Channel is unrecoverably broken and will be disposed!
09-23 02:54:26.596  1157  1316 W InputDispatcher: channel '882f325 org.wikipedia.alpha/org.wikipedia.page.PageActivity (server)' ~ Consumer closed input channel or an error occurred.  events=0x9
09-23 02:54:26.596  1157  1316 E InputDispatcher: channel '882f325 org.wikipedia.alpha/org.wikipedia.page.PageActivity (server)' ~ Channel is unrecoverably broken and will be disposed!
09-23 02:54:26.599  1157  2611 I WindowManager: WIN DEATH: Window{e702853 u0 org.wikipedia.alpha/org.wikipedia.edit.EditSectionActivity}
09-23 02:54:26.600  1157  2611 W InputDispatcher: Attempted to unregister already unregistered input channel 'e702853 org.wikipedia.alpha/org.wikipedia.edit.EditSectionActivity (server)'
09-23 02:54:26.602   716   716 I Zygote  : Process 20900 exited due to signal (9)
09-23 02:54:26.604  1157  1676 I WindowManager: WIN DEATH: Window{882f325 u0 org.wikipedia.alpha/org.wikipedia.page.PageActivity}
09-23 02:54:26.604  1157  1676 W InputDispatcher: Attempted to unregister already unregistered input channel '882f325 org.wikipedia.alpha/org.wikipedia.page.PageActivity (server)'
09-23 02:54:26.606  1157  4435 I ActivityManager: Process org.wikipedia.alpha (pid 20900) has died: fore TOP 
09-23 02:54:26.606  1157  1206 W libprocessgroup: kill(-20900, 9) failed: No such process
09-23 02:54:26.606  1157  1206 I libprocessgroup: Successfully killed process cgroup uid 10158 pid 20900 in 0ms
09-23 02:54:26.608   606   640 W SurfaceFlinger: Attempting to set client state on removed layer: org.wikipedia.alpha/org.wikipedia.edit.EditSectionActivity#0
09-23 02:54:26.608   606   640 W SurfaceFlinger: Attempting to destroy on removed layer: org.wikipedia.alpha/org.wikipedia.edit.EditSectionActivity#0
09-23 02:54:26.614  1157  4435 I ActivityManager: Killing 20934:com.android.chrome:sandboxed_process0/u0a158i11 (adj 0): isolated not needed
09-23 02:54:26.614  1586  1586 I Zygote  : Process 20934 exited cleanly (0)
09-23 02:54:26.615  1157  1211 W ActivityManager: setHasOverlayUi called on unknown pid: 20900
09-23 02:54:26.629 21298 21298 E wikipedia.alph: Not starting debugger since process cannot load the jdwp agent.
09-23 02:54:26.629  1157  1205 I ActivityManager: Start proc 21298:org.wikipedia.alpha/u0a158 for activity org.wikipedia.alpha/org.wikipedia.page.PageActivity
09-23 02:54:26.651 21298 21298 I wikipedia.alph: The ClassLoaderContext is a special shared library.
09-23 02:54:26.723 21298 21298 D SoLoader: init start
09-23 02:54:26.723 21298 21298 D SoLoader: adding system library source: /vendor/lib
09-23 02:54:26.724 21298 21298 D SoLoader: adding system library source: /system/lib
09-23 02:54:26.724 21298 21298 D SoLoader: adding application source: com.facebook.soloader.DirectorySoSource[root = /data/app/org.wikipedia.alpha-gEWXuOocWdeex4tRPVIOcg==/lib/arm64 flags = 0]
09-23 02:54:26.724 21298 21298 D SoLoader: adding backup  source: com.facebook.soloader.ApkSoSource[root = /data/data/org.wikipedia.alpha/lib-main flags = 1]
09-23 02:54:26.724 21298 21298 D SoLoader: Preparing SO source: com.facebook.soloader.DirectorySoSource[root = /system/lib flags = 2]
09-23 02:54:26.724 21298 21298 D SoLoader: Preparing SO source: com.facebook.soloader.DirectorySoSource[root = /vendor/lib flags = 2]
09-23 02:54:26.724 21298 21298 D SoLoader: Preparing SO source: com.facebook.soloader.DirectorySoSource[root = /data/app/org.wikipedia.alpha-gEWXuOocWdeex4tRPVIOcg==/lib/arm64 flags = 0]
09-23 02:54:26.724 21298 21298 D SoLoader: Preparing SO source: com.facebook.soloader.ApkSoSource[root = /data/data/org.wikipedia.alpha/lib-main flags = 1]
09-23 02:54:26.724 21298 21298 V fb-UnpackingSoSource: locked dso store /data/user/0/org.wikipedia.alpha/lib-main
09-23 02:54:26.725 21298 21298 I fb-UnpackingSoSource: dso store is up-to-date: /data/user/0/org.wikipedia.alpha/lib-main
09-23 02:54:26.726 21298 21298 V fb-UnpackingSoSource: releasing dso store lock for /data/user/0/org.wikipedia.alpha/lib-main
09-23 02:54:26.777 21298 21318 D org.wikipedia.settings.RemoteConfigRefreshTask: Skipping recurring task, remote-config-refresher. Last execution was Sat Sep 22 20:24:12 GMT+03:00 2018.
09-23 02:54:26.777 21298 21318 D org.wikipedia.page.shareafact.SharedImageCleanupTask: Skipping recurring task, shared-image-cleanup. Last execution was Sat Sep 22 20:24:12 GMT+03:00 2018.
09-23 02:54:26.777 21298 21318 D org.wikipedia.recurring.DailyEventTask: Skipping recurring task, dailyEventTask. Last execution was Sat Sep 22 20:24:12 GMT+03:00 2018.
09-23 02:54:26.777 21298 21318 D org.wikipedia.alphaupdater.AlphaUpdateChecker: Skipping recurring task, alpha-update-checker. Last execution was Sat Sep 22 20:24:13 GMT+03:00 2018.
09-23 02:54:26.809 21298 21298 I WebViewFactory: Loading com.android.chrome version 69.0.3497.100 (code 349710052)
09-23 02:54:26.844 21298 21298 I cr_LibraryLoader: Time to load native libraries: 3 ms (timestamps 537-540)
09-23 02:54:26.847 21298 21329 E cr_VariationsUtils: Failed reading seed file "/data/user/0/org.wikipedia.alpha/app_webview/variations_seed_new": /data/user/0/org.wikipedia.alpha/app_webview/variations_seed_new (No such file or directory)
09-23 02:54:27.066 21298 21298 D org.wikipedia.page.PageFragmentLoadState: loadFromBackStack():172: Loaded page מסע אלונקות from backstack
09-23 02:54:27.212  1157  1211 I ActivityManager: Displayed org.wikipedia.alpha/org.wikipedia.page.PageActivity: +599ms
09-23 02:54:27.386   606   640 W SurfaceFlinger: Attempting to set client state on removed layer: Splash Screen org.wikipedia.alpha#0
09-23 02:54:27.386   606   640 W SurfaceFlinger: Attempting to destroy on removed layer: Splash Screen org.wikipedia.alpha#0
09-23 02:54:27.661 21298 21298 D org.wikipedia.page.PageFragmentLoadState: sendLeadSectionPayload():426: Sent message 'displayLeadSection' for page: מסע אלונקות
09-23 02:54:27.757 21298 21392 D org.wikipedia.views.FacePostprocessor: detectFace():80: Face detection took 16ms

Environments observed

App version: 2.7.239-alpha-2018-09-20
Android OS versions: 9
Device model: pixel 2
Device language:Hebrew

Event Timeline

Matanya created this task.Sep 23 2018, 12:07 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 23 2018, 12:07 AM
Dbrant added a subscriber: Dbrant.Sep 24 2018, 3:14 PM

I'm afraid I'm not able to reproduce...
What precise editing path are you taking? (i.e. lead section? description? non-lead section?)

For some reason i can't reproduce it on this specific article since i edited it, but it does happen here and then randomly. I can't point to the exact flow, but always when editing a non-lead section.

OK, i think i have a reliable reproduce:

  1. Go to the article זל מילר
  2. Edit the section called סנאטור
  3. Scroll to the word לקצה
  4. Click next to it
  5. Crash

The adb log is:
09-27 23:22:07.067 23999 23999 I TextInputLayout: EditText added is not a TextInputEditText. Please switch to using that class instead.
09-27 23:22:07.120 1156 1209 I ActivityManager: Displayed org.wikipedia.alpha/org.wikipedia.edit.EditSectionActivity: +91ms
09-27 23:22:07.867 23999 23999 D org.wikipedia.edit.richtext.SyntaxHighlighter$1: lambda$run$0():72: That took 1ms
09-27 23:22:10.596 23999 23999 E InputEventReceiver: Exception dispatching input event.
09-27 23:22:10.596 23999 23999 E MessageQueue-JNI: Exception in MessageQueue callback: handleReceiveCallback
09-27 23:22:10.597 23999 23999 E MessageQueue-JNI: java.lang.ArrayIndexOutOfBoundsException: length=20; index=20
09-27 23:22:10.597 23999 23999 E MessageQueue-JNI: at android.text.Layout$HorizontalMeasurementProvider.get(Layout.java:1589)

It might and might not be related to T203362

Found the root cause:
putting the cursor on a URL. Some other examples:

On an external link URL:

  1. Go to the page אנדרי ברודר (on he.wiki)
  2. Edit קישורים חיצוניים section
  3. Put your cursor at the first url in the edit box (link to Andrei Broder page on Yahoo website)
  4. Crash

On Ref template:

  1. Go to the page Fearless (on he.wiki)
  2. Edit lead section
  3. Put your cursor at the first url in the edit box (link to the grammy website)
  4. Crash

On Actor template:

  1. Go to the page ביל קוסבי (on he.wiki)
  2. Edit lead section
  3. Put your cursor at the first url in the edit box (link to the Cosby website)
  4. Crash

Thanks! will check it out.

Checked it on Farsi as well, and the same happens. Does not happen on EN or ES, So i suspect it might be RTL related.

Reproduced and confirmed! It looks like an internal platform-specific issue. We might need to build a workaround to patch up this specific defect.

@Matanya This no longer seems to be happening. Can you confirm (with latest alpha)?

Matanya closed this task as Resolved.Jan 10 2019, 9:12 PM
Matanya claimed this task.

Confirmed! Thanks!